Bug 895468 - Lexicographic sorting by IP when searching for VMs
Summary: Lexicographic sorting by IP when searching for VMs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.3
Assignee: Lior Vernia
QA Contact:
URL:
Whiteboard: network
Depends On:
Blocks: 905446
TreeView+ depends on / blocked
 
Reported: 2013-01-15 09:41 UTC by Lior Vernia
Modified: 2015-05-05 01:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 905446 (view as bug list)
Environment:
Last Closed: 2013-09-23 07:32:25 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 11470 0 None None None Never

Description Lior Vernia 2013-01-15 09:41:05 UTC
Description of problem:

When using the search panel to search for VMs, and asking to sort by IP address, the sorting is done lexicographically and not numerically (i.e. 192.168.0.10 would appear before 192.168.0.2).


Version-Release number of selected component (if applicable):


How reproducible:

Always.


Steps to Reproduce:
1. Choose Virtual Machines tab.
2. Type in search panel "Vms: sortby ip asc".
  
Actual results:

IPs ordered by lexicographic sort.


Expected results:

IPs ordered by numeric sort.


Additional info:

Comment 1 Itamar Heim 2013-01-15 12:22:27 UTC
please see bug 590413

Comment 2 Lior Vernia 2013-08-04 19:46:20 UTC
This was opened as a more accurate version of https://bugzilla.redhat.com/show_bug.cgi?id=590413, as it described the table header being clickable when in the meantime we moved to GWT and lost the ability to click on table headers.

However, the RHEV version of the bug was solved long ago, for RHEV 3.2 and maybe even for oVirt 3.2: https://bugzilla.redhat.com/show_bug.cgi?id=905446

I guess we just forgot about this one or I didn't know what to do with it at the time.

Comment 3 Itamar Heim 2013-08-04 20:25:24 UTC
iirc, this missed ovirt 3.2 and is part of 3.3, hence in status modified.
any reason it should be back in post?

Comment 4 Lior Vernia 2013-08-05 07:04:40 UTC
Oh no, that was just my mistake. And yes, it seems to have missed the oVirt 3.2 release, sorry about the confusion.

Comment 5 Itamar Heim 2013-08-21 16:40:18 UTC
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)

Comment 6 Itamar Heim 2013-09-23 07:32:25 UTC
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)


Note You need to log in before you can comment on or make changes to this bug.